Page MenuHomePhabricator

Opt-in: Copy templates above the first heading when enabling Flow on an existing wikitext page
Closed, ResolvedPublic

Description

When a user with an existing wikitext talk page converts to Flow with opt-in, the templates above the first == heading should be copied into the side rail in the new Flow board.

This currently happens when a page is moved with Special:EnableFlow. It should work for opt-in as well.

Details

Related Gerrit Patches:

Event Timeline

DannyH created this task.Sep 22 2015, 11:39 PM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2015, 11:39 PM
SBisson claimed this task.Sep 24 2015, 2:43 PM
SBisson set Security to None.

Change 240729 had a related patch set uploaded (by Sbisson):
Optin: Copy templates before first heading from talk page to Flow board

https://gerrit.wikimedia.org/r/240729

Change 240729 merged by jenkins-bot:
Optin: Copy templates before first heading from talk page to Flow board

https://gerrit.wikimedia.org/r/240729

Checked in betalabs.

DannyH closed this task as Resolved.Sep 28 2015, 5:30 PM
DannyH reopened this task as Open.
DannyH closed this task as Resolved.Sep 28 2015, 5:33 PM